/*
 * CommandDriverH.cpp
 *		- "ALICE SOFT System3.x" compatible scenario decoder SD35
 *
 * Copyright (C) 1999 Atsushi Mizuguchi  All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA
 * 
 * 
 */

#include "stdafx.h"
#include "CommandDriver.h"

#include "ScenarioDecoder.h"
#include "ScenarioParser.h"
#include "MessageCtrl.h"

using namespace ALSD;
using namespace ALSD_CMDDRV;
/**********************************************************************
	H command
**********************************************************************/
void CCommandDriver::_CommandH(void)
{
	long fig = m_lpSD->GetParser()->GetC();
	long num = m_lpED->GetExpValue();

	// intւ̃LXgBeOS Warning ΍
	char work[256];
	if( fig ){
		sprintf( work, "%*d", (int)fig, (int)num );
	}else{
		sprintf( work, "%d", (int)num );
	}
	m_lpSD->GetMsgCtrl()->Message( work );
	TRACE( "command:H( ... )\n" );
}
